Matthew Barnes 93660b
--- evolution-2.9.5/configure.no-gnome-common	2007-01-21 22:00:01.000000000 -0500
Matthew Barnes 93660b
+++ evolution-2.9.5/configure	2007-01-21 22:00:53.000000000 -0500
Matthew Barnes 93660b
@@ -30764,141 +30764,6 @@
Matthew Barnes 93660b
 
Matthew Barnes 93660b
 
Matthew Barnes 93660b
 
Matthew Barnes 93660b
-    # Check whether --enable-compile-warnings or --disable-compile-warnings was given.
Matthew Barnes 93660b
-if test "${enable_compile_warnings+set}" = set; then
Matthew Barnes 93660b
-  enableval="$enable_compile_warnings"
Matthew Barnes 93660b
-
Matthew Barnes 93660b
-else
Matthew Barnes 93660b
-  enable_compile_warnings="yes"
Matthew Barnes 93660b
-fi;
Matthew Barnes 93660b
-
Matthew Barnes 93660b
-    warnCFLAGS=
Matthew Barnes 93660b
-    if test "x$GCC" != xyes; then
Matthew Barnes 93660b
-	enable_compile_warnings=no
Matthew Barnes 93660b
-    fi
Matthew Barnes 93660b
-
Matthew Barnes 93660b
-    warning_flags=
Matthew Barnes 93660b
-    realsave_CFLAGS="$CFLAGS"
Matthew Barnes 93660b
-
Matthew Barnes 93660b
-    case "$enable_compile_warnings" in
Matthew Barnes 93660b
-    no)
Matthew Barnes 93660b
-	warning_flags=
Matthew Barnes 93660b
-	;;
Matthew Barnes 93660b
-    minimum)
Matthew Barnes 93660b
-	warning_flags="-Wall"
Matthew Barnes 93660b
-	;;
Matthew Barnes 93660b
-    yes)
Matthew Barnes 93660b
-	warning_flags="-Wall -Wmissing-prototypes"
Matthew Barnes 93660b
-	;;
Matthew Barnes 93660b
-    maximum|error)
Matthew Barnes 93660b
-	warning_flags="-Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith"
Matthew Barnes 93660b
-	CFLAGS="$warning_flags $CFLAGS"
Matthew Barnes 93660b
-	for option in -Wno-sign-compare; do
Matthew Barnes 93660b
-		SAVE_CFLAGS="$CFLAGS"
Matthew Barnes 93660b
-		CFLAGS="$CFLAGS $option"
Matthew Barnes 93660b
-		echo "$as_me:$LINENO: checking whether gcc understands $option" >&5
Matthew Barnes 93660b
-echo $ECHO_N "checking whether gcc understands $option... $ECHO_C" >&6
Matthew Barnes 93660b
-		cat >conftest.$ac_ext <<_ACEOF
Matthew Barnes 93660b
-/* confdefs.h.  */
Matthew Barnes 93660b
-_ACEOF
Matthew Barnes 93660b
-cat confdefs.h >>conftest.$ac_ext
Matthew Barnes 93660b
-cat >>conftest.$ac_ext <<_ACEOF
Matthew Barnes 93660b
-/* end confdefs.h.  */
Matthew Barnes 93660b
-
Matthew Barnes 93660b
-int
Matthew Barnes 93660b
-main ()
Matthew Barnes 93660b
-{
Matthew Barnes 93660b
-
Matthew Barnes 93660b
-  ;
Matthew Barnes 93660b
-  return 0;
Matthew Barnes 93660b
-}
Matthew Barnes 93660b
-_ACEOF
Matthew Barnes 93660b
-rm -f conftest.$ac_objext
Matthew Barnes 93660b
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
Matthew Barnes 93660b
-  (eval $ac_compile) 2>conftest.er1
Matthew Barnes 93660b
-  ac_status=$?
Matthew Barnes 93660b
-  grep -v '^ *+' conftest.er1 >conftest.err
Matthew Barnes 93660b
-  rm -f conftest.er1
Matthew Barnes 93660b
-  cat conftest.err >&5
Matthew Barnes 93660b
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
Matthew Barnes 93660b
-  (exit $ac_status); } &&
Matthew Barnes 93660b
-	 { ac_try='test -z "$ac_c_werror_flag"
Matthew Barnes 93660b
-			 || test ! -s conftest.err'
Matthew Barnes 93660b
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
Matthew Barnes 93660b
-  (eval $ac_try) 2>&5
Matthew Barnes 93660b
-  ac_status=$?
Matthew Barnes 93660b
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
Matthew Barnes 93660b
-  (exit $ac_status); }; } &&
Matthew Barnes 93660b
-	 { ac_try='test -s conftest.$ac_objext'
Matthew Barnes 93660b
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
Matthew Barnes 93660b
-  (eval $ac_try) 2>&5
Matthew Barnes 93660b
-  ac_status=$?
Matthew Barnes 93660b
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
Matthew Barnes 93660b
-  (exit $ac_status); }; }; then
Matthew Barnes 93660b
-  has_option=yes
Matthew Barnes 93660b
-else
Matthew Barnes 93660b
-  echo "$as_me: failed program was:" >&5
Matthew Barnes 93660b
-sed 's/^/| /' conftest.$ac_ext >&5
Matthew Barnes 93660b
-
Matthew Barnes 93660b
-has_option=no
Matthew Barnes 93660b
-fi
Matthew Barnes 93660b
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
Matthew Barnes 93660b
-		CFLAGS="$SAVE_CFLAGS"
Matthew Barnes 93660b
-		echo "$as_me:$LINENO: result: $has_option" >&5
Matthew Barnes 93660b
-echo "${ECHO_T}$has_option" >&6
Matthew Barnes 93660b
-		if test $has_option = yes; then
Matthew Barnes 93660b
-		  warning_flags="$warning_flags $option"
Matthew Barnes 93660b
-		fi
Matthew Barnes 93660b
-		unset has_option
Matthew Barnes 93660b
-		unset SAVE_CFLAGS
Matthew Barnes 93660b
-	done
Matthew Barnes 93660b
-	unset option
Matthew Barnes 93660b
-	if test "$enable_compile_warnings" = "error" ; then
Matthew Barnes 93660b
-	    warning_flags="$warning_flags -Werror"
Matthew Barnes 93660b
-	fi
Matthew Barnes 93660b
-	;;
Matthew Barnes 93660b
-    *)
Matthew Barnes 93660b
-	{ { echo "$as_me:$LINENO: error: Unknown argument '$enable_compile_warnings' to --enable-compile-warnings" >&5
Matthew Barnes 93660b
-echo "$as_me: error: Unknown argument '$enable_compile_warnings' to --enable-compile-warnings" >&2;}
Matthew Barnes 93660b
-   { (exit 1); exit 1; }; }
Matthew Barnes 93660b
-	;;
Matthew Barnes 93660b
-    esac
Matthew Barnes 93660b
-    CFLAGS="$realsave_CFLAGS"
Matthew Barnes 93660b
-    echo "$as_me:$LINENO: checking what warning flags to pass to the C compiler" >&5
Matthew Barnes 93660b
-echo $ECHO_N "checking what warning flags to pass to the C compiler... $ECHO_C" >&6
Matthew Barnes 93660b
-    echo "$as_me:$LINENO: result: $warning_flags" >&5
Matthew Barnes 93660b
-echo "${ECHO_T}$warning_flags" >&6
Matthew Barnes 93660b
-
Matthew Barnes 93660b
-    # Check whether --enable-iso-c or --disable-iso-c was given.
Matthew Barnes 93660b
-if test "${enable_iso_c+set}" = set; then
Matthew Barnes 93660b
-  enableval="$enable_iso_c"
Matthew Barnes 93660b
-
Matthew Barnes 93660b
-else
Matthew Barnes 93660b
-  enable_iso_c=no
Matthew Barnes 93660b
-fi;
Matthew Barnes 93660b
-
Matthew Barnes 93660b
-    echo "$as_me:$LINENO: checking what language compliance flags to pass to the C compiler" >&5
Matthew Barnes 93660b
-echo $ECHO_N "checking what language compliance flags to pass to the C compiler... $ECHO_C" >&6
Matthew Barnes 93660b
-    complCFLAGS=
Matthew Barnes 93660b
-    if test "x$enable_iso_c" != "xno"; then
Matthew Barnes 93660b
-	if test "x$GCC" = "xyes"; then
Matthew Barnes 93660b
-	case " $CFLAGS " in
Matthew Barnes 93660b
-	    *\ \	-ansi\ \	*) ;;
Matthew Barnes 93660b
-	    *) complCFLAGS="$complCFLAGS -ansi" ;;
Matthew Barnes 93660b
-	esac
Matthew Barnes 93660b
-	case " $CFLAGS " in
Matthew Barnes 93660b
-	    *\ \	-pedantic\ \	*) ;;
Matthew Barnes 93660b
-	    *) complCFLAGS="$complCFLAGS -pedantic" ;;
Matthew Barnes 93660b
-	esac
Matthew Barnes 93660b
-	fi
Matthew Barnes 93660b
-    fi
Matthew Barnes 93660b
-    echo "$as_me:$LINENO: result: $complCFLAGS" >&5
Matthew Barnes 93660b
-echo "${ECHO_T}$complCFLAGS" >&6
Matthew Barnes 93660b
-
Matthew Barnes 93660b
-    WARN_CFLAGS="$warning_flags $complCFLAGS"
Matthew Barnes 93660b
-
Matthew Barnes 93660b
-
Matthew Barnes 93660b
-CFLAGS="$CFLAGS $WARN_CFLAGS"
Matthew Barnes 93660b
 case $CFLAGS in
Matthew Barnes 93660b
 *-Wall*)
Matthew Barnes 93660b
 	# Turn off the annoying "comparison between signed and unsigned"
Matthew Barnes 93660b
--- evolution-2.9.5/configure.in.no-gnome-common	2007-01-08 11:54:43.000000000 -0500
Matthew Barnes 93660b
+++ evolution-2.9.5/configure.in	2007-01-21 21:57:28.000000000 -0500
Matthew Barnes 93660b
@@ -1133,9 +1133,6 @@
Matthew Barnes 59a721
 dnl *************************
Matthew Barnes 59a721
 dnl CFLAGS and LIBS and stuff
Matthew Barnes 59a721
 dnl *************************
Matthew Barnes 59a721
-
Matthew Barnes 59a721
-GNOME_COMPILE_WARNINGS(yes)
Matthew Barnes 59a721
-CFLAGS="$CFLAGS $WARN_CFLAGS"
Matthew Barnes 59a721
 case $CFLAGS in
Matthew Barnes 59a721
 *-Wall*)
Matthew Barnes 59a721
 	# Turn off the annoying "comparison between signed and unsigned"